=== src/CMakeLists.txt ===
IF(BUILD_PYTHON_INTERFACE)
  PYTHON_INSTALL_ON_SITE("dynamic_graph/tutorial" simu.py)
  DYNAMIC_GRAPH_PYTHON_MODULE("tutorial" ${PROJECT_NAME} wrap)
ENDIF(BUILD_PYTHON_INTERFACE)
