=== debian/changelog ===
ros-melodic-dynamic-graph-tutorial (1.2.2-1stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Olivier Stasse <ostasse@laas.fr>  Tue, 25 Aug 2020 09:48:48 -0000
