=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-dynamic-graph-tutorial
 Section: misc
 Priority: optional
-Maintainer: Olivier Stasse <ostasse@laas.fr>
+Maintainer: Guilhem Saurel <guilhem.saurel@laas.fr>
 Build-Depends: debhelper (>= 9.0.0), cmake, doxygen, git, libboost-all-dev, ros-melodic-dynamic-graph, ros-melodic-dynamic-graph-python
 Homepage: http://github.com/stack-of-tasks/dynamic-graph-tutorial
 Standards-Version: 3.9.2
